Whilst searching for a solution to my problem, I came across this thread.

Now whoever made that thread obviously had alot more luck than I.

I'm trying to follow a guide located here. For some reason, even when the header states that these instructions are for the 10.1 distribution, the directions to the YaST control center seem to be different on my machine, thats irrelevent to my question however.

I am using the KDE desktop enviroment.

Per the instructions in that previous link, I go ahead and get rid of (or try to) ZMD.

So I type at the Konsole,

Code:
su -c "rpm -e zmd libzypp-zmd-backend sqlite-zmd rug zen-updater"
Am asked for my password, which I enter, and then get;

Code:
error: package sqlite-zmd is not installed
So I assumed that maybe whatever this ZMD thing is just wasn't there in the first place. So I continued the tutorial.

However when I add the catalogue in YaST, I get bombarded with the following errors;

"rug failed to delete a ZYPP service:
ERROR: Can not find service 'cd:///?devices=/dev/hda&alias=SUSE-Linux-10.1-CD-download-x86-10.1-0-20070430-154202'"


rug failed to delete a ZYPP service:
ERROR: Can not find service 'http://ftp.tu-ilmenau.de/Mirrors/ftp.suse.com/update/10.1'


Whats going wrong?

Thanks.